Skip to content

GET /api/v3/inventory-items/constants/price-modifiers

Summary

GET /inventory-items/constants/price-modifiers

Description

Returns a list of price modifiers

Tags: inventory-items

Parameters

Header Parameters

Name Type Required Description Example
Authorization string ✓ Yes Bearer {AuthToken}
Content-Type string ✓ Yes application/json
Accept string ✓ Yes application/json
AppIdV3 string ✓ Yes LCUID-LAP-********-****-****-****-************

Responses

Response: 200

Description: Sample Response

Content Type: application/json

Schema

Type: object

Properties:

  • success (boolean)
  • price_modifiers (array)
  • Array items: object Type: object

    Properties:

    • name (string)
    • value (string)
Example Response
{
    "success": true,
    "price_modifiers": [
        {
            "name": "CONTACT",
            "value": "contact"
        },
        {
            "name": "FREE",
            "value": "free"
        },
        {
            "name": "OBO",
            "value": "obo"
        }
    ]
}

Example Implementations

Bash (cURL)

curl --request GET \
    --get "https://api.lucit.app/api/v3/inventory-items/constants/price-modifiers" \
    --header "Authorization: Bearer {AuthToken}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --header "AppIdV3: LCUID-LAP-********-****-****-****-************"

JavaScript (Fetch API)

const url = new URL(
    "https://api.lucit.app/api/v3/inventory-items/constants/price-modifiers"
);

const headers = {
    "Authorization": "Bearer {AuthToken}",
    "Content-Type": "application/json",
    "Accept": "application/json",
    "AppIdV3": "LCUID-LAP-********-****-****-****-************",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());

PHP (Guzzle)

$client = new \GuzzleHttp\Client();
$response = $client->get(
    'https://api.lucit.app/api/v3/inventory-items/constants/price-modifiers',
    [
        'headers' => [
            'Authorization' => 'Bearer {AuthToken}',
            'Content-Type' => 'application/json',
            'Accept' => 'application/json',
            'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
        ],
    ]
);
$body = $response->getBody();
print_r(json_decode((string) $body));

Python (Requests)

import requests
import json

url = 'https://api.lucit.app/api/v3/inventory-items/constants/price-modifiers'
headers = {
  'Authorization': 'Bearer {AuthToken}',
  'Content-Type': 'application/json',
  'Accept': 'application/json',
  'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}

response = requests.request('GET', url, headers=headers)
response.json()

Example Responses

200 Response

{
    "success": true,
    "price_modifiers": [
        {
            "name": "CONTACT",
            "value": "contact"
        },
        {
            "name": "FREE",
            "value": "free"
        },
        {
            "name": "OBO",
            "value": "obo"
        }
    ]
}

← Back to inventory-items index | Back to main index